AutoLayout
Keywords: uk.ac.ic.doc.automed.editor.autolayout.AutoLayout class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.autolayout
Class AutoLayout

    java.lang.Object
      uk.ac.ic.doc.automed.editor.autolayout.AutoLayout

    public class AutoLayout

extends java.lang.Object

Author:
  molawski

Field Summary
`protected ExpandedArrayList` | `myGraph`

Constructor Summary
`AutoLayout(AutoLayoutSchemaObject obj)` Creates a new instance of AutoLayout

Method Summary
`boolean` | `contain(AutoLayoutSchemaObject obj)`
`static UserActionResult` | `doLayoutSpring(java.lang.Object[] o)`
`static UserActionResult` | `doLayoutXML(java.lang.Object[] o)`
`void` | `doMyGraphLayout()`
`java.awt.Rectangle` | `getBounds()`
`static float` | `importanceLevel(SchemaObject schemaObject)`
`void` | `setFinalPosition()`
`void` | `setPosition(int newX, int newY)`
`static void` | `showPoint(java.awt.Point p)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myGraph

    protected ExpandedArrayList myGraph

Constructor Detail

### AutoLayout

    public AutoLayout(AutoLayoutSchemaObject obj)

  Creates a new instance of AutoLayout

Method Detail

### doLayoutXML

    public static UserActionResult doLayoutXML(java.lang.Object[] o)

### doLayoutSpring

    public static UserActionResult doLayoutSpring(java.lang.Object[] o)

### showPoint

    public static void showPoint(java.awt.Point p)

### importanceLevel

    public static float importanceLevel(SchemaObject schemaObject)

### contain

    public boolean contain(AutoLayoutSchemaObject obj)

### size

    public int size()

### doMyGraphLayout

    public void doMyGraphLayout()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getBounds

    public java.awt.Rectangle getBounds()

### setPosition

    public void setPosition(int newX,
                            int newY)

### setFinalPosition

    public void setFinalPosition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD